GTransportChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.gnet.GTransportChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.gnet
Class GTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelFactorySupport
          org.codehaus.activemq.transport.gnet.GTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

public class GTransportChannelFactory
extends TransportChannelFactorySupport

An implementation of a TransportChannelFactory which uses the Geronimo network layer for connectivity.

Version:
  $Revision: 1.9 $

Constructor Summary
`GTransportChannelFactory()`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a Channel to a remote Node - e.g.
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation, URI localLocation)` Create a Channel to a remote Node - e.g.
`static void` | `init(org.apache.geronimo.network.SelectorManager sm, org.apache.geronimo.pool.ThreadPool tp, org.apache.geronimo.pool.ClockPool cp)`
`boolean` | `requiresEmbeddedBroker()` Does this channel require an embedded broker to perform such as VM or multicast based transports

Methods inherited from class org.codehaus.activemq.transport.TransportChannelFactorySupport
`populateProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GTransportChannelFactory

    public GTransportChannelFactory()

Method Detail

### init

    public static void init(org.apache.geronimo.network.SelectorManager sm,
                            org.apache.geronimo.pool.ThreadPool tp,
                            org.apache.geronimo.pool.ClockPool cp)
                     throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Parameters:
    `wireFormat` -
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation,
                                   URI localLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Parameters:
    `wireFormat` -
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### requiresEmbeddedBroker

    public boolean requiresEmbeddedBroker()

  Description copied from interface: `TransportChannelFactory`
  Does this channel require an embedded broker to perform such as VM or multicast based transports

  Returns:
    true if an embedded broker is a requirement of using the channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.